import request from '@/utils/request'

// 查询学习培训项目播放日志记录列表
export function listPlayRecord(query) {
    return request({
        url: '/system/playRecord/trainingItemPlayRecordList',
        method: 'get',
        params: query
    })
}

// 查询学习培训项目播放日志记录详细
export function getPlayRecord(id) {
    return request({
        url: '/system/playRecord/' + id,
        method: 'get'
    })
}

// 新增学习培训项目播放日志记录
export function addPlayRecord(data) {
    return request({
        url: '/system/playRecord',
        method: 'post',
        data: data
    })
}

// 修改学习培训项目播放日志记录
export function updatePlayRecord(data) {
    return request({
        url: '/system/playRecord',
        method: 'put',
        data: data
    })
}

// 删除学习培训项目播放日志记录
export function delPlayRecord(id) {
    return request({
        url: '/system/playRecord/' + id,
        method: 'delete'
    })
}
